#
# spec file for package humanity-icon-theme
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define _name   Humanity
Name:           humanity-icon-theme
Version:        0.6.15
Release:        bp154.1.20
Summary:        Ayatana Humanity icon theme
License:        GPL-2.0-only
Group:          System/GUI/Other
Url:            https://launchpad.net/humanity
Source:         https://launchpad.net/ubuntu/+archive/primary/+files/%{name}_%{version}.tar.xz
BuildRequires:  fdupes
BuildRequires:  hicolor-icon-theme
Requires:       adwaita-icon-theme
Requires:       hicolor-icon-theme
BuildArch:      noarch

%description
Humanity and Humanity Dark are nice and well polished icon themes for the Gtk
desktop.

%prep
%setup -q
for doc in AUTHORS CONTRIBUTORS COPYING; do
    mv -f %{_name}/$doc .
    rm -f %{_name}-Dark/$doc
done

%build
# Nothing to build.

%install
mkdir -p %{buildroot}%{_datadir}/icons/
cp -a {%{_name},%{_name}-Dark} %{buildroot}%{_datadir}/icons/
find -L %{buildroot}%{_datadir}/icons/ -type l -delete
%icon_theme_cache_create_ghost %{_name}
%icon_theme_cache_create_ghost %{_name}-Dark
%fdupes %{buildroot}%{_datadir}/icons/

%if 0%{?suse_version} < 1500
%post
%icon_theme_cache_post %{_name}
%icon_theme_cache_post %{_name}-Dark

# No need for %%icon_theme_cache_postun in %%postun since the theme won't exist anymore.
%endif

%files
%if 0%{?suse_version} >= 1500
%license COPYING
%else
%doc COPYING
%endif
%doc AUTHORS CONTRIBUTORS
%ghost %{_datadir}/icons/%{_name}*/icon-theme.cache
%{_datadir}/icons/%{_name}*

%changelog
* Mon Mar 12 2018 sor.alexei@meowr.ru
- Update to version 0.6.15 (changes since 0.6.10):
  * Adapt to the new Totem icon name (lp#1623768).
  * Add hidpi @2 support (lp#1657863, lp#1622686).
  * Add symlinks to handle Nautilus 3.24's new icon name
    (lp#1669655).
  * Add symlinks to handle gnome-control-center 3.28's new icon
    name (lp#1750174).
* Sat Oct 10 2015 sor.alexei@meowr.ru
- Update to 0.6.10:
  * Set action/48 to fixed to fix eog's fullscreen toolbar.
* Mon Jul 13 2015 sor.alexei@meowr.ru
- Update to 0.6.9:
  * Provide folder-drag-accept in all sizes (lp#1462346).
* Wed Jun 10 2015 cfarrell@suse.com
- license update: GPL-2.0
  Numerous statements say this is GPL-2.0 (not or later)
* Sun Apr  5 2015 sor.alexei@meowr.ru
- Update to 0.6.8:
  * Set MaxSize for directories with scalable icons.
    This fixes bug lp#1435607 and pixelated app icons in unity's
    alt-tab dialog.
* Tue Jan 27 2015 sor.alexei@meowr.ru
- Update to 0.6.7:
  * Revert 0.6.6. We're now getting ready to transition to
    adwaita-icon-theme by default and we'll get these icons from
    there.
  * Depend on and inherit from the Adwaita icon theme (lp#1414613).
* Wed Nov  5 2014 sor.alexei@meowr.ru
- Update to 0.6.6:
  * Add pan-* and open-menu-symbolic icons required by GTK 3.14,
    copied from adwaita-icon-theme.
* Wed Feb 26 2014 sor.alexei@meowr.ru
- Update to 0.6.5:
  * Replace vintage circle of friends logo with modern.
* Wed Dec  4 2013 sor.alexei@meowr.ru
- Initial package.
